#!/bin/bash

set -e

if [[ "`uname`" == Linux ]]; then
    preset=linux64

    export LD_LIBRARY_PATH="$PREFIX/lib"
else
    osx_vers_minor=`sw_vers -productVersion | cut -d. -f2`
    preset=mac10.$osx_vers_minor
fi

python build_scripts/indigo-release-libs.py --preset=$preset
python build_scripts/indigo-make-by-libs.py --type=python

unzip dist/indigo-python-*.zip

cd indigo-python-*

rm LICENSE.GPL

cp -av * "$SP_DIR/"
